2 Replies Latest reply on Oct 21, 2009 9:21 AM by Tobias Hoppenthaler

    Trying desperately to use envers with jboss-4.2.2GA

    Tobias Hoppenthaler Newbie

      Hi there,

      I am trying desperately to use envers with jboss-4.2.2GA. Is that possible, at all? If so: HOW??? I tried to use envers 1.0.0 since that should be compatible with the version 3.2.4 sp1 that is used in that version of jboss.
      I tried upgrading hibernate to version 3.3.2GA in order to use envers 1.2.1 ga. Nothing worked for me.

      The best I got was jboss starting up without any errors - no version tables got created an only when I used
      AuditReader reader = AuditReaderFactory.get( manager );
      Article oldArticle = reader.find( Article.class, persistentEntity.getId(), 2 );

      I get an exception
      java.lang.NoClassDefFoundError: org/hibernate/envers/event/AuditEventListener

      Is there an easy way to get envers to run? A Howto? ANYTHING? PLEASE HELP!!!

      Tobias